
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors: James Gallagher

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPFloat32.cc 13340 2006-03-03 16:10:13Z jimg $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include "InternalErr.h"
#include "DSPFloat32.h"

Float32 *
NewFloat32(const string &n)
{
    return new DSPFloat32(n);
}

DSPFloat32::DSPFloat32(const string &n) : Float32(n)
{
}

BaseType *
DSPFloat32::ptr_duplicate()
{
    return new DSPFloat32(*this); // Copy ctor calls duplicate to do the work
}
 
bool
DSPFloat32::read(const string &)
{
  throw InternalErr(__FILE__, __LINE__, "Unimplemented read method called.");
}

// $Log: DSPFloat32.cc,v $
// Revision 1.3  2000/10/09 21:24:59  jimg
// Moved CVS Log entries to the end of each file.
// Changed the definition of the read method to match the dap library.
// Added exceptions to the read methods.
// Added code to catch exceptions in dsp_das, _dds and _dods.
//
// Revision 1.2  1999/04/30 21:32:46  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.1  1999/03/26 22:56:22  jimg
// Added. These are stub classes
//
