
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/26/96

#include "config_dsp.h"

static char rcsid[] not_used ={"$Id: DSPUInt32.cc 13340 2006-03-03 16:10:13Z jimg $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#include <string>

#include "InternalErr.h"
#include "DSPUInt32.h"

UInt32 *
NewUInt32(const string &n)
{
    return new DSPUInt32(n);
}

DSPUInt32::DSPUInt32(const string &n) : UInt32(n)
{
}

BaseType *
DSPUInt32::ptr_duplicate(){

    return new DSPUInt32(*this);
}

bool
DSPUInt32::read(const string &)
{
  throw InternalErr(__FILE__, __LINE__, "Unimplemented read method called.");
}

// $Log: DSPUInt32.cc,v $
// Revision 1.5  2000/10/09 21:24:59  jimg
// Moved CVS Log entries to the end of each file.
// Changed the definition of the read method to match the dap library.
// Added exceptions to the read methods.
// Added code to catch exceptions in dsp_das, _dds and _dods.
//
// Revision 1.4  1999/04/30 21:32:47  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.3.4.1  1999/02/10 06:28:58  brent
// convert to Standard C++ strings -- b^2
//
// Revision 1.3  1998/08/06 16:32:10  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:24  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/11/04 22:28:02  jimg
// Created.
//
