
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1994-1996
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      reza            Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

#ifndef _dspurl_h
#define _dspurl_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Url.h"
extern Url * NewUrl(const string &n = (char *)0);

class DSPUrl: public Url {
public:
    DSPUrl(const string &n = (char *)0);
    virtual ~DSPUrl() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset);
};

typedef DSPUrl * DSPUrlPtr;

/* 
 * $Log: DSPUrl.h,v $
 * Revision 1.3  2000/10/09 21:24:59  jimg
 * Moved CVS Log entries to the end of each file.
 * Changed the definition of the read method to match the dap library.
 * Added exceptions to the read methods.
 * Added code to catch exceptions in dsp_das, _dds and _dods.
 *
 * Revision 1.2  1999/04/30 21:32:47  jimg
 * Merged no-gnu and release-2-17
 *
 * Revision 1.1.18.1  1999/02/10 06:28:58  brent
 * convert to Standard C++ strings -- b^2
 *
 * Revision 1.1  1996/09/18 22:42:15  reza
 * First release of DODS-DSP servers.
 */

#endif
