/* 
 *  (c) COPYRIGHT URI/MIT 1994-1996
 *  Please read the full copyright statement in the file COPYRIGHT.
 *
 *  Authors:
 *      reza            Reza Nekovei (reza@intcomm.net)
 *
 *  DODS server implementation for DSP images.
 *  ReZa 8/25/96 
 */

#ifndef	_dtype_h
#define	_dtype_h 1

#include <limits.h>
#if defined(INT_MAX) && defined(LONG_MAX) && INT_MAX >= 2147483647
    typedef int     Dlong;
#   define  LD      "%d"        
#else
    typedef long    Dlong;
#   define  LD      "%ld"
#endif

#ifdef DEBUG
#   define DBGc(x,y) printf("%s: %s \n",y,x)
#else
#   define DBGc(x,y) /* x,y */
#endif

typedef enum {
  D_UNSPECIFIED, /* defaults to byte for pixel size */
  D_BYTE,
  D_CHAR,
  D_SHORT,
  D_LONG,
  D_FLOAT,
  D_DOUBLE
} D_type ;

typedef struct {
  char	*name;
  D_type type;
  int	size;
  char	*value;
}  AttEntry_t;

/* 
 * $Log: Dtype.h,v $
 * Revision 1.2  2000/10/09 21:24:59  jimg
 * Moved CVS Log entries to the end of each file.
 * Changed the definition of the read method to match the dap library.
 * Added exceptions to the read methods.
 * Added code to catch exceptions in dsp_das, _dds and _dods.
 *
 * Revision 1.1  1996/09/18 22:42:18  reza
 *  First release of DODS-DSP servers.
 */

#endif /* _dtype_h */
